<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>DIA Troubleshooting Tool</title>
    <style>
        h1 {
            text-align: center;
        }

        .error {
            color: red;
        }
    </style>
</head>

<body>
    {{ test }}
    <h1>DIA Troubleshooting Tool</h1>
    {% if down == '1' %}
    <input type="radio" name="up/down" id="up" onchange="onRadioChanged()">UP CPE
    <input type="radio" name="up/down" id="down" checked onchange="onRadioChanged()">DOWN CPE
    {% else %}
    <input type="radio" name="up/down" id="up" checked onchange="onRadioChanged()">UP CPE
    <input type="radio" name="up/down" id="down" onchange="onRadioChanged()">DOWN CPE
    {% endif %}
    <br><br>

    {% if down == '1' %}
    <div id="upCPE" style="display:none">
        {% else %}
        <div id="upCPE">
            {% endif %}
            {% if get_flashed_messages() and down != '1' %}
            {% for cgy, msg in get_flashed_messages(with_categories=True) %}
            {% if cgy == 'error' %}
            <p class="error">{{ msg }}</p>
            {% endif %}
            {% endfor %}
            {% endif %}
            <fieldset>
                <legend>Connect to CPE</legend>
                {% if get_flashed_messages() and down != '1' %}
                {% for cgy, msg in get_flashed_messages(with_categories=True) %}
                {% if cgy == 'required' %}
                <p class="error">{{ msg }}</p>
                {% endif %}
                {% endfor %}
                {% endif %}
                <form action="/DIATroubleshooting" method="POST">
                    <input type="text" name="cid" placeholder="Circuit_ID"><br>
                    <input type="text" name="ip" placeholder="IP(X.X.X.X)"><br>
                    <input type="submit" value="Go Check">
                </form>
            </fieldset>
        </div>

        {% if down == '1' %}
        <div id="downCPE">
            {% else %}
            <div id="downCPE" style="display:none">
                {% endif %}
                {% if get_flashed_messages() and down == '1' %}
                {% for cgy, msg in get_flashed_messages(with_categories=True) %}
                {% if cgy == 'error' %}
                <p class="error">{{ msg }}</p>
                {% endif %}
                {% endfor %}
                {% endif %}
                <fieldset>
                    <legend>Request to Pronghorn</legend>
                    {% if get_flashed_messages() and down == '1' %}
                    {% for cgy, msg in get_flashed_messages(with_categories=True) %}
                    {% if cgy == 'required' %}
                    <p class="error">{{ msg }}</p>
                    {% endif %}
                    {% endfor %}
                    {% endif %}
                    <form action="/DIATroubleshooting/CPE-down" method="POST">
                        <input type="text" name="cid" placeholder="Circuit_ID"><br>
                        <input type="submit" value="Go Check">
                    </form>
                </fieldset>
            </div>

            <script>
                function onRadioChanged() {
                    up = document.getElementById('up');
                    down = document.getElementById('down');
                    if (up.checked) {
                        document.getElementById("upCPE").style.display = "";
                        document.getElementById("downCPE").style.display = "none";
                    }
                    else if (down.checked) {
                        document.getElementById("upCPE").style.display = "none";
                        document.getElementById("downCPE").style.display = "";
                    }
                }
            </script>
</body>

</html>